import { InjectableSterotype, PouchScope } from '@loafer/pouches/constants';

interface PouchDefinition {
  readonly Type: Object;
  Stereotype: InjectableSterotype;
  Scope: PouchScope;
  Qualifier: string | symbol;
  readonly PostConstruct: Set<string>;
  readonly PreDestroy: Set<string>;
  addPostConstruct(postConstruct: string): void;
  addPreDestroy(preDestroy: string): void;
  isSingleton(): boolean;
  isTransient(): boolean;
}

export default PouchDefinition;
