import {
  Construtorable,
} from '@loafer/core/constants';

interface SingletonPouchRegistry {
  registerSingleton(pouch: any, qualifier?: string | symbol): void;
  getSingleton<T>(type: Construtorable<T>, qualifier?: string | symbol): T;
  hasSingleton<T>(type: Construtorable<T>, qualifier?: string | symbol): boolean;
}

export default SingletonPouchRegistry;
