import { Construtorable } from '@loafer/core/constants';

interface PouchFactory {
  getPouch<T>(type: Construtorable<T>, ...args: any[]): T;
  getPouchByQualifier<T>(type: Construtorable<T>, qualifier: string | symbol, ...args: any[]): T;

}

export default PouchFactory;
