import { Construtorable } from '@loafer/core/constants';
import PouchDefinition from '@loafer/pouches/factory/config/PouchDefinition';

interface PouchDefinitionRegistry {
  registerPouchDefinition(pouchDefinition: PouchDefinition): void;
  removePouchDefinition(type: Object, qualifier?: string | symbol): void;
  getPouchDefinition(type: Object, qualifier?: string | symbol): PouchDefinition;
  hasPouchDefinition(type: Object, qualifier?: string | symbol): boolean;
}

export default PouchDefinitionRegistry;
